GCLOUD_SQL_INSTANCES_EXPORT(1)

NAME

gcloud sql instances export - exports data from a Cloud SQL instance

SYNOPSIS

gcloud sql instances export INSTANCE URI [--async] [--database DATABASE,[DATABASE,...], -d DATABASE,[DATABASE,...]] [--table TABLE,[TABLE,...], -t TABLE,[TABLE,...]] [GLOBAL-FLAG ...]

DESCRIPTION
Exports data from a Cloud SQL instance to a Google Cloud Storage bucket as a MySQL dump file.

POSITIONAL ARGUMENTS
INSTANCE
    Cloud SQL instance ID.
URI
    The path to the file in Google Cloud Storage where the export will be stored. The URI is in the form gs://bucketName/fileName. If the file already exists, the operation fails. If the filename ends with .gz, the contents are compressed.

FLAGS
--async
    Display information about the operation in progress and don't wait for the operation to complete.
--database DATABASE,[DATABASE,...], -d DATABASE,[DATABASE,...]
    Database (for example, guestbook) from which the export is made. If unspecified, all databases are exported.
--table TABLE,[TABLE,...], -t TABLE,[TABLE,...]
    Tables to export from the specified database. If you specify tables, specify one and only one database.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.